## com.imcode.imcms.dao
Class MenuDao

    java.lang.Object
      org.springframework.orm.hibernate3.HibernateAccessor
          org.springframework.orm.hibernate3.HibernateTemplate
              com.imcode.imcms.dao.MenuDao

All Implemented Interfaces:
  org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.InitializingBean, org.springframework.orm.hibernate3.HibernateOperations

    public class MenuDao

extends org.springframework.orm.hibernate3.HibernateTemplate

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.HibernateAccessor
`FLUSH_ALWAYS, FLUSH_AUTO, FLUSH_COMMIT, FLUSH_EAGER, FLUSH_NEVER, logger`

Constructor Summary
`MenuDao()`

Method Summary
`void` `deleteMenu(MenuDomainObject menu)`
`java.util.List<MenuDomainObject>` `getMenus(java.lang.Integer documentId)`
`java.util.Map<java.lang.Integer,MenuDomainObject>` `saveDocumentMenus(java.lang.Integer documentId, java.util.Map<java.lang.Integer,MenuDomainObject> menusMap)`

Methods inherited from class org.springframework.orm.hibernate3.HibernateTemplate

`applyNamedParameterToQuery, bulkUpdate, bulkUpdate, bulkUpdate, checkWriteOperationAllowed, clear, closeIterator, contains, createSessionProxy, delete, delete, delete, delete, deleteAll, doExecute, enableFilter, evict, execute, execute, executeFind, executeWithNativeSession, executeWithNewSession, find, find, find, findByCriteria, findByCriteria, findByExample, findByExample, findByExample, findByExample, findByNamedParam, findByNamedParam, findByNamedQuery, findByNamedQuery, findByNamedQuery, findByNamedQueryAndNamedParam, findByNamedQueryAndNamedParam, findByNamedQueryAndValueBean, findByValueBean, flush, get, get, get, get, getFetchSize, getMaxResults, getQueryCacheRegion, getSession, initialize, isAllowCreate, isAlwaysUseNewSession, isCacheQueries, isCheckWriteOperations, isExposeNativeSession, iterate, iterate, iterate, load, load, load, load, load, loadAll, lock, lock, merge, merge, persist, persist, prepareCriteria, prepareQuery, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, saveOrUpdateAll, setAllowCreate, setAlwaysUseNewSession, setCacheQueries, setCheckWriteOperations, setExposeNativeSession, setFetchSize, setMaxResults, setQueryCacheRegion, update, update, update, update`

Methods inherited from class org.springframework.orm.hibernate3.HibernateAccessor

`afterPropertiesSet, applyFlushMode, convertHibernateAccessException, convertJdbcAccessException, convertJdbcAccessException, disableFilters, enableFilters, flushIfNecessary, getDefaultJdbcExceptionTranslator, getEntityInterceptor, getFilterNames, getFlushMode, getJdbcExceptionTranslator, getSessionFactory, setBeanFactory, setEntityInterceptor, setEntityInterceptorBeanName, setFilterName, setFilterNames, setFlushMode, setFlushModeName, setJdbcExceptionTranslator, setSessionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuDao

    public MenuDao()

Method Detail

### getMenus

    @Transactional
    public java.util.List<MenuDomainObject> getMenus(java.lang.Integer documentId)

### saveDocumentMenus

    @Transactional
    public java.util.Map<java.lang.Integer,MenuDomainObject> saveDocumentMenus(java.lang.Integer documentId,
                                                                                             java.util.Map<java.lang.Integer,MenuDomainObject> menusMap)

### deleteMenu

    @Transactional
    public void deleteMenu(MenuDomainObject menu)